# Generated by Django 4.0.5 on 2022-06-04 14:16

import django.core.validators
from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Hero',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(default=uuid.uuid4, editable=False, unique=True)),
                ('added', models.DateTimeField(auto_now_add=True)),
                ('type', models.CharField(choices=[('WIZARD', 'wizard'), ('ARCHER', 'archer'), ('WARRIOR', 'warrior')], max_length=7)),
                ('idle_img', models.ImageField(upload_to='uploads/idle')),
                ('attack_img', models.ImageField(upload_to='uploads/attack')),
                ('die_img', models.ImageField(upload_to='uploads/die')),
                ('health', models.IntegerField(validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(10)])),
                ('speed', models.IntegerField(validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(10)])),
            ],
            options={
                'verbose_name': 'hero',
                'verbose_name_plural': 'heroes',
                'ordering': ['-added'],
            },
        ),
        migrations.CreateModel(
            name='Player',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ton_wallet', models.CharField(max_length=50, verbose_name='TON wallet')),
                ('name', models.CharField(blank=True, max_length=100)),
                ('added', models.DateTimeField(auto_now_add=True)),
            ],
            options={
                'verbose_name': 'player',
                'verbose_name_plural': 'players',
                'ordering': ['-added'],
            },
        ),
        migrations.AddIndex(
            model_name='player',
            index=models.Index(fields=['ton_wallet'], name='game_player_ton_wal_47dd93_idx'),
        ),
        migrations.AddIndex(
            model_name='hero',
            index=models.Index(fields=['uuid'], name='game_hero_uuid_ada5d9_idx'),
        ),
    ]
